﻿using System.ComponentModel;
using Xamarin.Forms;
using System;

namespace NumericTextBoxBinding
{
	public partial class NumericTextBoxBindingPage : ContentPage,INotifyPropertyChanged
	{
		public NumericTextBoxBindingPage()
		{
			InitializeComponent();
			BindingContext = this;
		}
		private int? _nombrePlace;
		public int? NombrePlace
		{
			get { return _nombrePlace; }
			set
			{
				_nombrePlace = value;
				RaiseProeprtyChanged();
			}
		}
		public event PropertyChangedEventHandler PropertyChanged;

		protected void RaiseProeprtyChanged([System.Runtime.CompilerServices.CallerMemberName]string propertyName = "")
		{
			if (this.PropertyChanged != null)
				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
		}
	}
	public class ObjectConverter : IValueConverter
	{

		public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			if (value != null)
				return int.Parse(value.ToString());
			else
				return null;
		}

		public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			if (value != null)
				return int.Parse(value.ToString());
			else
				return null;

		}
	}
}

